Skip to main content
`Ctrl`+`K`
scipy.special.

# lpmn

scipy.special.lpmn(m, n, z)

  Sequence of associated Legendre functions of the first kind.

  Computes the associated Legendre function of the first kind of order m and degree n, `Pmn(z)` = \(P_n^m(z)\), and its derivative, `Pmn'(z)`. Returns two arrays of size `(m+1, n+1)` containing `Pmn(z)` and `Pmn'(z)` for all orders from `0..m` and degrees from `0..n`.

  This function takes a real argument `z`. For complex arguments `z` use clpmn instead.

  Deprecated since version 1.15.0: This function is deprecated and will be removed in SciPy 1.17.0. Please `scipy.special.assoc_legendre_p_all` instead.

  Parameters:
    m int

      `|m| <= n`; the order of the Legendre function.

    n int

      where `n >= 0`; the degree of the Legendre function. Often called `l` (lower case L) in descriptions of the associated Legendre function

    z array_like

      Input value.

  Returns:
    Pmn_z(m+1, n+1) array

      Values for all orders 0..m and degrees 0..n

    Pmn_d_z(m+1, n+1) array

      Derivatives for all orders 0..m and degrees 0..n

  See also

  `clpmn`

    associated Legendre functions of the first kind for complex z

  Notes

  In the interval (-1, 1), Ferrer’s function of the first kind is returned. The phase convention used for the intervals (1, inf) and (-inf, -1) is such that the result is always real.

  References

  [1]

  Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. https://people.sc.fsu.edu/~jburkardt/f77_src/special_functions/special_functions.html

  [2]

  NIST Digital Library of Mathematical Functions https://dlmf.nist.gov/14.3